name: sport
description: xie.hiyd.com

# The following line prevents the package from being accidentally published to
# pub.dev using `pub publish`. This is preferred for private packages.
publish_to: 'none' # Remove this line if you wish to publish to pub.dev

# The following defines the version and build number for your application.
# A version number is three numbers separated by dots, like 1.2.43
# followed by an optional build number separated by a +.
# Both the version and the builder number may be overridden in flutter
# build by specifying --build-name and --build-number, respectively.
# In Android, build-name is used as versionName while build-number used as versionCode.
# Read more about Android versioning at https://developer.android.com/studio/publish/versioning
# In iOS, build-name is used as CFBundleShortVersionString while build-number used as CFBundleVersion.
# Read more about iOS versioning at
# https://developer.apple.com/library/archive/documentation/General/Reference/InfoPlistKeyReference/Articles/CoreFoundationKeys.html
version: 1.0.3+1

environment:
  sdk: ">=2.7.0 <3.0.0"

dependencies:
  flutter:
    sdk: flutter
  flutter_localizations:
    sdk: flutter
  provider: any # https://github.com/rrousselGit/provider
  fluro: ^1.6.3 #路由
  dartin: ^0.1.5 #注入 https://github.com/ditclear/dartin
  retrofit: any #网络
  dio: any #网络
  dio_http_cache: any #网络
  json_annotation: any #json
  logger: any #日志
  flutter_blue: ^0.7.2 #蓝牙
  buffer: ^1.0.7
  permission_handler: ^5.0.1+1 #权限
  cached_network_image: 2.2.0+1 # image https://github.com/Baseflow/flutter_cached_network_image
  fluttertoast: ^7.0.1 # toast https://github.com/PonnamKarthik/FlutterToast

  android_intent: ^0.3.7+4
  url_launcher: any
  device_apps: ^1.2.0
  install_plugin: ^2.0.1
  orientation: ^1.2.0

  shared_preferences: ^0.5.8 # share_preferences
  intl: ^0.16.1 # 格式化日期

  # ui view
  flutter_easyrefresh: ^2.1.6 #刷新
  flutter_staggered_grid_view: ^0.3.2
  video_player: ^0.10.12
  multi_image_picker: 4.7.14
  photo_view: ^0.10.2
  image_gallery_saver: ^1.5.0
  image_picker: 0.6.7+4 # 读取图片
  image_cropper: ^1.0.2 # 裁剪
  image_crop: ^0.3.2
  extended_nested_scroll_view: ^1.0.1
  flutter_spinkit: ^4.1.2 # 优秀的等待动画(菊花哥)
  flutter_swiper: ^1.1.6

  # social
  tencent_kit: any #https://github.com/rxreader/tencent_kit
  wechat_kit: any #https://github.com/rxreader/wechat_kit

  # path_provider: any
  path_provider: ^1.6.11 #路径
  package_info: any
  device_info: any
  flutter_dong_scan: ^1.0.8 # 扫描二维码
  qr_flutter: ^3.2.0        # 生成二维码
  webview_flutter: ^0.3.24   # WebView
  amap_location_fluttify: ^0.17.0

  # The following adds the Cupertino Icons font to your application.
  # Use with the CupertinoIcons class for iOS style icons.
  cupertino_icons: ^0.1.3
  azlistview: ^1.1.0 # 列表搜索

dev_dependencies:
  flutter_test:
    sdk: flutter
  retrofit_generator: any
  build_runner: ^1.4.0
  json_serializable: any

# For information on the generic Dart part of this file, see the
# following page: https://dart.dev/tools/pub/pubspec

# The following section is specific to Flutter.
flutter:

  # The following line ensures that the Material Icons font is
  # included with your application, so that you can use the icons in
  # the material Icons class.
  uses-material-design: true

  # To add assets to your application, add an assets section, like this:
  # assets:
  #   - images/a_dot_burr.jpeg
  #   - images/a_dot_ham.jpeg

  # An image asset can refer to one or more resolution-specific "variants", see
  # https://flutter.dev/assets-and-images/#resolution-aware.

  # For details regarding adding assets from package dependencies, see
  # https://flutter.dev/assets-and-images/#from-packages

  # To add custom fonts to your application, add a fonts section here,
  # in this "flutter" section. Each entry in this list should have a
  # "family" key with the font family name, and a "fonts" key with a
  # list giving the asset and other descriptors for the font. For
  # example:
  # fonts:
  #   - family: Schyler
  #     fonts:
  #       - asset: fonts/Schyler-Regular.ttf
  #       - asset: fonts/Schyler-Italic.ttf
  #         style: italic
  #   - family: Trajan Pro
  #     fonts:
  #       - asset: fonts/TrajanPro.ttf
  #       - asset: fonts/TrajanPro_Bold.ttf
  #         weight: 700
  #
  # For details regarding fonts from package dependencies,
  # see https://flutter.dev/custom-fonts/#from-packages
  assets:
    - lib/assets/img/       # Base 1.0
    - lib/assets/json/
